com.holonplatform.vaadin.flow.components.builders

## Interface ValidatableInputConfigurator<T,I extends ValidatableInput<T>,C extends ValidatableInputConfigurator<T,I,C>>

- Type Parameters:
    `T` - Value type
    `I` - Concrete validatable input type
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BaseValidatableInputBuilder<T,I,B>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableInputBuilder<T>, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface ValidatableInputConfigurator<T,I extends ValidatableInput<T>,C extends ValidatableInputConfigurator<T,I,C>>

  `ValidatableInput` configurator.
  Since:
    5.2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `required()` Sets the `Input` as required.
    `C` | `required(com.holonplatform.core.i18n.Localizable message)` Sets the `Input` as required, using given message as validation error message.
    `default C` | `required(String message)` Sets the `Input` as required, using given message as validation error message.
    `default C` | `required(String message, String messageCode, Object... arguments)` Sets the `Input` as required, using given message as validation error message.
    `C` | `required(com.holonplatform.core.Validator<T> validator)` Set the `Input` as required, using given `Validator` to check the input value.
    `C` | `validateOnValueChange(boolean validateOnValueChange)` Sets whether to validate the `Input` component value every time the `Input` value changes.
    `C` | `validationStatusHandler(ValidationStatusHandler<ValidatableInput<T>> validationStatusHandler)` Set the `ValidationStatusHandler` to use to input validation status changes.
    `C` | `withValidator(com.holonplatform.core.Validator<T> validator)` Adds a `Validator` to the `Input` bound to given `property`.

- - ### Method Detail

    - #### withValidator

          C withValidator(com.holonplatform.core.Validator<T> validator)

      Adds a `Validator` to the `Input` bound to given `property`.
      Parameters:
        `validator` - Validator to add (not null)
      Returns:
        this

    - #### validationStatusHandler

          C validationStatusHandler(ValidationStatusHandler<ValidatableInput<T>> validationStatusHandler)

      Set the `ValidationStatusHandler` to use to input validation status changes.
      Parameters:
        `validationStatusHandler` - the `ValidationStatusHandler` to set (not null)
      Returns:
        this

    - #### validateOnValueChange

          C validateOnValueChange(boolean validateOnValueChange)

      Sets whether to validate the `Input` component value every time the `Input` value changes.

      Default is `true`.

      Parameters:
        `validateOnValueChange` - `true` to perform value validation every time the `Input` value changes, `false` if not
      Returns:
        this

    - #### required

          C required()

      Sets the `Input` as required. Required inputs must filled by the user, and its validation will fail when empty.
      Returns:
        this

    - #### required

          C required(com.holonplatform.core.Validator<T> validator)

      Set the `Input` as required, using given `Validator` to check the input value. Required inputs must filled by the user, and its validation will fail when empty.
      Parameters:
        `validator` - The `Validator` to use to check the required input value (not null)
      Returns:
        this

    - #### required

          C required(com.holonplatform.core.i18n.Localizable message)

      Sets the `Input` as required, using given message as validation error message. Required inputs must filled by the user, and its validation will fail when empty.
      Parameters:
        `message` - The message to use to notify the required validation failure
      Returns:
        this

    - #### required

          default C required(String message,
                             String messageCode,
                             Object... arguments)

      Sets the `Input` as required, using given message as validation error message. Required inputs must filled by the user, and its validation will fail when empty.
      Parameters:
        `message` - The default message to use to notify the required validation failure
        `messageCode` - The message localization code
        `arguments` - Optional message translation arguments
      Returns:
        this

    - #### required

          default C required(String message)

      Sets the `Input` as required, using given message as validation error message. Required inputs must filled by the user, and its validation will fail when empty.
      Parameters:
        `message` - The default message to use to notify the required validation failure
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.